Overview | Package | Class | Use | Deprecated | Help
| GWT 2.7.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.uibinder.attributeparsers
Class AttributeParsers

    java.lang.Object
      com.google.gwt.uibinder.attributeparsers.AttributeParsers

    public class AttributeParsers

extends java.lang.Object

Managers access to all implementations of `AttributeParser`.

Constructor Summary
`AttributeParsers(TypeOracle types, com.google.gwt.uibinder.rebind.FieldManager fieldManager, com.google.gwt.uibinder.rebind.MortalLogger logger)`

Method Summary
`AttributeParser` | `getParser(JType... types)` Returns a parser for the given type(s).
`AttributeParser` | `getSafeUriInHtmlParser()` Returns a parser specialized for handling URI references in html contexts, like <a href="{foo.bar}">.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AttributeParsers

    public AttributeParsers(TypeOracle types,
                            com.google.gwt.uibinder.rebind.FieldManager fieldManager,
                            com.google.gwt.uibinder.rebind.MortalLogger logger)

Method Detail

### getParser

    public AttributeParser getParser(JType... types)

  Returns a parser for the given type(s). Accepts multiple types args to allow requesting parsers for things like for pairs of ints.

### getSafeUriInHtmlParser

    public AttributeParser getSafeUriInHtmlParser()

  Returns a parser specialized for handling URI references in html contexts, like <a href="{foo.bar}">.

Overview | Package | Class | Use | Deprecated | Help
| GWT 2.7.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD